Bug 34322 - vmstat dies / "vmstat: vmstat.c:229: getstat: Assertion `*itot>*i1' failed."
vmstat dies / "vmstat: vmstat.c:229: getstat: Assertion `*itot>*i1' failed."
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-02 03:26 EDT by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 10:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test with procps-2.0.6-5.src.rpm (1.25 KB, text/plain)
2001-04-03 22:06 EDT, Red Hat Bugzilla
no flags Details

  None (edit)
Description Red Hat Bugzilla 2001-04-02 03:26:26 EDT
From yesterday, "vmstat" doesn't work.
It dumps core and dies.

===

$ vmstat
   procs                      memory    swap          io     system        
cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us 
sy  id
vmstat: vmstat.c:229: getstat: Assertion `*itot>*i1' failed.
Aborted (core dumped)
$ cat /proc/stat 
cpu  664792574 14 331805472 1562444735
disk 0 0 0 0
disk_rio 0 0 0 0
disk_wio 0 0 0 0
disk_rblk 0 0 0 0
disk_wblk 0 0 0 0
page 625302926 207572095
swap 65506641 32547646
intr 10060747 2559042795 1276 0 0 25295 0 3 0 3 1427563040 206859283 30 0 1
3 111536314 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
ctxt 2988042738
btime 960605699
processes 17129470
$ rpm -q procps
procps-2.0.2-2
$
Comment 1 Red Hat Bugzilla 2001-04-03 12:15:22 EDT
does the Red Hat Linux 6.2 version of procps work?
Comment 2 Red Hat Bugzilla 2001-04-03 22:06:19 EDT
Created attachment 14564 [details]
test with procps-2.0.6-5.src.rpm
Comment 3 Red Hat Bugzilla 2001-04-03 22:11:54 EDT
I tested RHL6.2 procps like the attachment file.
I couldn't do 'rpm -e procps-2.0.6-5.i386.rpm' (for some reason...),
so I tried with .src.rpm 'by hand'.
Comment 4 Red Hat Bugzilla 2002-06-20 09:43:50 EDT
It seems like the 6.2 version works then.

Note You need to log in before you can comment on or make changes to this bug.